import { r as registerInstance, h } from './index-0861cb0b.js';
import './common-d52c7ecc.js';
import { B as Box } from './Box-387ca2ed.js';

const UIBox = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Box, null, h("slot", null)));
  }
};

export { UIBox as ui_box };
